Package org.eclipse.gef.print

# Class ImagePrintGraphicalViewerOperation

java.lang.Object
org.eclipse.draw2d.ImagePrintFigureOperation
org.eclipse.gef.print.ImagePrintGraphicalViewerOperation

public class ImagePrintGraphicalViewerOperation extends org.eclipse.draw2d.ImagePrintFigureOperation
Implementation of GEF image drawing capabilities.

Since:
  3.26

## Constructor Summary

Constructors
Constructor
Description
`ImagePrintGraphicalViewerOperation(GraphicalViewer viewer)`
Constructor for PrintGraphicalViewerOperation

## Method Summary

Modifier and Type
Method
Description
`protected void`
`preparePrintSource(org.eclipse.draw2d.Graphics graphics)`
`protected void`
`restorePrintSource(org.eclipse.draw2d.Graphics graphics)`

### Methods inherited from class org.eclipse.draw2d.ImagePrintFigureOperation

`getImageDataAtZoom, getImageSize, isDraw2DAutoScalingEnabled, run, setPrintSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ImagePrintGraphicalViewerOperation

public ImagePrintGraphicalViewerOperation(GraphicalViewer viewer)
Constructor for PrintGraphicalViewerOperation

Parameters:
  `viewer` - The viewer containing what is to be printed NOTE: The GraphicalViewer to be printed must have a `Layer` with the `PRINTABLE_LAYERS` key.

## Method Details

### preparePrintSource

protected void preparePrintSource(org.eclipse.draw2d.Graphics graphics)

Overrides:
  `preparePrintSource` in class `org.eclipse.draw2d.ImagePrintFigureOperation`
See Also:
  - `ImagePrintFigureOperation.preparePrintSource(Graphics)`

### restorePrintSource

protected void restorePrintSource(org.eclipse.draw2d.Graphics graphics)

Overrides:
  `restorePrintSource` in class `org.eclipse.draw2d.ImagePrintFigureOperation`
See Also:
  - `ImagePrintFigureOperation.restorePrintSource(Graphics)`